Bug 128807 - kernel fails to boot on pSeries
kernel fails to boot on pSeries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-29 15:32 EDT by Elliot Lee
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 20:26:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliot Lee 2004-07-29 15:32:38 EDT
This is on a p650 machine (cure81).

[boot]0100 MM Init
[boot]0100 MM Init Done
idle = default_idle
Linux version 2.6.7-1.499 (bhcompile@sizzler.build.redhat.com) (gcc
version 3.4.1 20040714 (Red Hat 3.4.1-7)) #1 SMP
Wed Jul 28 12:12:20 EDT 2004
[boot]0012 Setup Arch
Boot arguments: root=/dev/system_disks/root ro console=ttyS0,9600
Oops: Kernel access of bad area, sig: 11 [#1]
SMP NR_CPUS=32 PSERIES
NIP: C000000000079BE0 XER: 0000000000000000 LR: C00000000007A414
REGS: c00000000032b760 TRAP: 0380   Not tainted  (2.6.7-1.499)
MSR: 9000000000001032 EE: 0 PR: 0 FP: 0 ME: 1 IR/DR: 11
DAR: 0000000000000170, DSISR: 0000000000000000
TASK: c00000000038fac0[0] 'swapper' THREAD: c000000000328000 CPU: 0
GPR00: 0000000000000000 C00000000032B9E0 C000000000442640 0000000000000000
GPR04: 0000000000000220 0000000000000000 0000000000000000 0000000000000005
GPR08: C0000000004655AC C0000000003956E0 9000000000001032 0000000000000000
GPR12: 000000003FD228A8 C00000000032C000 0000000000000000 0000000000000000
GPR16: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR20: 0000000000000010 0000000000000000 C00000000032BD90 0000000000000001
GPR24: 0000000000000000 0000000000000000 000000000000002B 0000000000000220
GPR28: C000000000032320 0000000000000004 C000000000465590 0000000000000000
NIP [c000000000079be0] .kmem_flagcheck+0x4/0x2c
LR [c00000000007a414] .kmem_cache_alloc+0x2c/0xf4
Call Trace:
[c00000000032b9e0] [0000002b00000004] 0x2b00000004 (unreliable)
[c00000000032ba80] [c000000000032320] .rtas_call+0x1c0/0x274
[c00000000032bb40] [c00000000002deb8] .early_enable_eeh+0x2f8/0x3ac
[c00000000032bc80] [c00000000002b658] .traverse_pci_devices+0xb8/0x164
[c00000000032bd20] [c0000000002ff8e0] .eeh_init+0x188/0x1d4
[c00000000032bdc0] [c000000000301058] .chrp_setup_arch+0x70/0x144
[c00000000032be50] [c0000000002fd7a0] .setup_arch+0x16c/0x1a4
[c00000000032bef0] [c0000000002f8504] .start_kernel+0x70/0x32c
[c00000000032bf90] [c00000000000c28c] .__setup_cpu_power3+0x0/0x4
 Oops: Kernel access of bad area, sig: 11 [#2]
SMP NR_CPUS=32 PSERIES
NIP: C000000000013B0C XER: 0000000020000000 LR: C0000000000145FC
REGS: c00000000032af80 TRAP: 0380   Not tainted  (2.6.7-1.499)
MSR: 9000000000001032 EE: 0 PR: 0 FP: 0 ME: 1 IR/DR: 11
DAR: 0000000000000008, DSISR: 0000000000000000
TASK: c00000000038fac0[0] 'swapper' THREAD: c000000000328000 CPU: 0
GPR00: 000000069DFA6903 C00000000032B200 C000000000442640 C00000000032B270
GPR04: 0000000000000000 C00000000032B350 C0000000004CB1E8 0000000000000000
GPR08: 00000000000F4240 0000000000000000 0000000000000000 000000069DFA6A89
GPR12: 9000000000009032 C00000000032C000 0000000000000000 0000000000000000
GPR16: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR20: 0000000000000010 0000000000000000 C00000000032BD90 0000000000000001
GPR24: 0000000000000000 0000000000000000 0000000000000000 C00000000032B350
GPR28: C000000000032320 C000000000350580 C00000000032C000 000000069DFA6903
NIP [c000000000013b0c] .do_gettimeofday+0x18/0x4c
LR [c0000000000145fc] .timer_interrupt+0x168/0x3b0
Call Trace:
[c00000000032b200] [c0000000000145d0] .timer_interrupt+0x13c/0x3b0
(unreliable)
[c00000000032b2e0] [c00000000000a2b4] Decrementer_common+0xb4/0x100
--- Exception: 901 at .die+0x174/0x1f4
    LR = .die+0x154/0x1f4
[c00000000032b660] [c00000000003ef98] .bad_page_fault+0x4c/0x68
[c00000000032b6f0] [c00000000000b4f4] .handle_page_fault+0x3c/0x40
--- Exception: 380 at .kmem_flagcheck+0x4/0x2c
    LR = .kmem_cache_alloc+0x2c/0xf4
[c00000000032b9e0] [0000002b00000004] 0x2b00000004 (unreliable)
[c00000000032ba80] [c000000000032320] .rtas_call+0x1c0/0x274
[c00000000032bb40] [c00000000002deb8] .early_enable_eeh+0x2f8/0x3ac
[c00000000032bc80] [c00000000002b658] .traverse_pci_devices+0xb8/0x164
[c00000000032bd20] [c0000000002ff8e0] .eeh_init+0x188/0x1d4
[c00000000032bdc0] [c000000000301058] .chrp_setup_arch+0x70/0x144
[c00000000032be50] [c0000000002fd7a0] .setup_arch+0x16c/0x1a4
[c00000000032bef0] [c0000000002f8504] .start_kernel+0x70/0x32c
[c00000000032bf90] [c00000000000c28c] .__setup_cpu_power3+0x0/0x4
 <0>Kernel panic: Fatal exception in interrupt
In interrupt handler - not syncing
Comment 1 Dave Jones 2005-10-05 20:26:48 EDT
ancient bug, assuming fixed in later builds.

Note You need to log in before you can comment on or make changes to this bug.